Info << "Reading field p\n" << endl;
IOdictionary transportProperties
(
 IOobject
 (
  "transportProperties",
  runTime.constant(),
  mesh,
  IOobject::MUST_READ,
  IOobject::NO_WRITE
  )
 );

dimensionedScalar nu
(
 transportProperties.lookup("nu")
 );


dimensionedScalar Pr
(
 transportProperties.lookup ("Pr")
 );

dimensionedScalar Prt 
(
 transportProperties.lookup ("Prt")
 );

Info<< "Reading field alphat\n" << endl;
volScalarField alphat
(
     IOobject
     (
      "alphat",
	  runTime.timeName(),
	  mesh,
	  IOobject::MUST_READ,
	  IOobject::AUTO_WRITE
     ),
	 mesh
 );

Info<<"Reading field p/n" << endl;

volScalarField p
(
IOobject
(
"p",
runTime.timeName(),
mesh,
IOobject::MUST_READ,
IOobject::AUTO_WRITE
),
mesh
);

Info << "Reading field U\n" << endl;
volVectorField U
(
IOobject
(
      "U",
       runTime.timeName(),
       mesh,
       IOobject::MUST_READ,
       IOobject::AUTO_WRITE
),
mesh
);

Info << "Reading field C\n" << endl;
volScalarField C
(
	IOobject
	(
		"C",
		runTime.timeName(),
		mesh,
		IOobject::MUST_READ,
		IOobject::AUTO_WRITE
	),
	mesh
);
Info << "Reading transportProperties\n" << endl;
//using transportProperties creat parameter,as check it quickly.

#include "createPhi.H"                          //creat field of Surface flow rate 


label pRefCell = 0;
scalar pRefValue = 0.0;
setRefCell(p, piso.dict(), pRefCell, pRefValue);
mesh.setFluxRequired(p.name());


singlePhaseTransportModel laminarTransport(U, phi);

autoPtr<incompressible::turbulenceModel> turbulence
(
incompressible::turbulenceModel::New(U, phi, laminarTransport)
);
